package com.kyle.web.controller;

import com.kyle.exception.UserNotFoundException;
import org.springframework.ui.Model;
import org.springframework.web.bind.annotation.ControllerAdvice;
import org.springframework.web.bind.annotation.ExceptionHandler;

@ControllerAdvice
public class GlobalExceptionController {
    @ExceptionHandler({com.kyle.exception.UserNotFoundException.class})
    public String userNotFoundExceptionHandle(Exception e, Model model){
        model.addAttribute("msg",e.getMessage());
        return "login";
    }

    @ExceptionHandler({java.lang.Exception.class})
    public String exceptionHandle(Exception e){
        return "redirect:/page/error";
    }

}
